package sieve.phys.circuit;

import java.beans.*;
import java.awt.*;

/**
 * This class provides info about which properties of the Voltmeter class
 * should be made editable.
 */
public class VoltmeterBeanInfo extends SimpleBeanInfo {

    public BeanDescriptor getBeanDescriptor() {
        BeanDescriptor bd = new BeanDescriptor(Voltmeter.class);
        bd.setDisplayName("Voltmeter");
        return bd;
    }

    public PropertyDescriptor[] getPropertyDescriptors() {
        PropertyDescriptor[] myProps = new PropertyDescriptor[3];
        try {
            myProps[0] = new PropertyDescriptor("Resistance", Voltmeter.class);
            myProps[1] = new PropertyDescriptor("Direction", Voltmeter.class);
            myProps[2] = new PropertyDescriptor("Orientation", Voltmeter.class); 
        }
        catch(Exception e) {
            e.printStackTrace();
        }
        return myProps;
    }
}

