package sieve.phys.lwblockandplane;

import java.beans.*;
 
public class ExecutionStateEditor extends PropertyEditorSupport {

    public String getJavaInitializationString() {
        Integer value = (Integer) getValue();
        if (value.intValue() == BlockAndPlane.RUNNING)
            return("Running");
        else if (value.intValue() == BlockAndPlane.PAUSED)
            return("Paused");
	else
            return("Stopped");
    }

    public String getAsText() {
        return getJavaInitializationString();
    }
 
    public void setAsText(String text) throws IllegalArgumentException{
        if (text.toLowerCase().equals("running"))
            setValue(new Integer(BlockAndPlane.RUNNING));
        else if (text.toLowerCase().equals("paused"))
            setValue(new Integer(BlockAndPlane.PAUSED));
        else if (text.toLowerCase().equals("stopped"))
            setValue(new Integer(BlockAndPlane.STOPPED));
        else
            throw new IllegalArgumentException(text);
    }
 
    public String[] getTags() {
        String result[] = { "Running", "Paused", "Stopped" };
        return result;
    }


}
