package sieve.quarry;


/**
 * Stretchable is a marker interface which should be implemented by
 * components that should NOT be stretched into shape on instantiation.
 * This interface need only be used by components whose ancestors
 * implement the Stretchable interface. The components need not implement 
 * any special methods.
 */
public interface UnStretchable {
}

