package sieve.sluice.codebook;

import sieve.sluice.*;
import sieve.sluice.views.*;

public class CachedSGMLTable extends CacheView {
    private Table sgml = null;

    public CachedSGMLTable() {
	try {
	    try {
	        sgml = CodeBookTable.getTable("/data/mean.dbc"); 
	    }
	    catch(InterchangeException ie) {
	        ie.printStackTrace();
		sgml = new SGMLTable();
	    }
	    addSourceView(sgml);
	    sgml.addTableViewListener(this);
	}
	catch(InterchangeException e) {
	    e.printStackTrace();
	}
    }

    public void setLocation(String codebook) throws InterchangeException {
	sgml.setLocation(codebook);
    }

    public String getLocation() {
	return sgml.getLocation();
    }

}

