package sieve.sluice.views.tests;

import sieve.sluice.*;
import java.awt.*;

public class TestsChoice extends Choice {
    String 	type 	= "java.lang.Object";
    Font 	myFont	= getFont();

    public TestsChoice() { }

    public TestsChoice(String type) {
	this.type = type;
    }

    public String getType() {
	return type;
    }

    public void setType(String type) {
	this.type = type;
	reset();
    }

    public void reset() {
	String[] tests = null;

	try {
	    tests = ObjectTest.getTests(type);
	}
	catch(Exception e) {}


	if ((tests == null) || (tests.length == 0)) {
	    removeAll();
	    disable();
	    // Enabling/Disabling makes the font get bigger...
	    setFont(myFont);
	}
	else {
	    String selection = getSelectedItem();
	    for (int i = 0; i < tests.length; i++) {
		if ((getItemCount() <= i) || (!getItem(i).equals(tests[i])))
		    insert(tests[i], i);
	    }
	    int itemCount = getItemCount();
	    for (int j = tests.length; j < itemCount; j++)
		remove(tests.length);

	    if (selection != null)
	        select(selection);

	    enable();
	    // Enabling/Disabling makes the font get bigger...
	    setFont(myFont);
	}

    }

/*
    public String getSelectedItem() {
     	String selection = super.getSelectedItem();
    	if ((selection != null) && (selection.equals(notConnectedMessage)))
	    selection = null;
	return selection;
    }
*/
}



