package sieve.sluice.weblog;

import sieve.sluice.*;
import sieve.sluice.views.*;

public class CachedWebLogReader extends CacheView {
    private TableImpl web = null;

    public CachedWebLogReader() {
	try {
	    web = new TableImpl("/data/ei_log");
	    addSourceView(web);
	    web.addTableViewListener(this);
	}
	catch(InterchangeException e) {
	    e.printStackTrace();
	}
    }

    public void setLocation(String codebook) throws InterchangeException {
	web.setLocation(codebook);
    }

    public String getLocation() {
	return web.getLocation();
    }

}

