package sieve.util;

import java.lang.reflect.Constructor;

public class Parser {
    static Class[] stringClass = new Class[1];

    static {
  	try {
	    stringClass[0] = Class.forName("java.lang.String");
	}
	catch (Exception e) {
	    e.printStackTrace();
	}
    }

    // This needs to handle primitive types as well. See quarry.WrapperApplet
    public static Object parse(Class c, String txt) {

	// Try any special cases first, then look for a string constructor

	try {
	    Constructor con = c.getConstructor(stringClass);
	    Object[] args = {txt};
	    return con.newInstance(args);
	}
	catch(Exception e) {
	    e.printStackTrace();
	    return txt;
	}
    }

    public static Object parse(String className, String txt) {
	try {
	    return parse(Class.forName(className), txt);
	}
	catch (Exception e) {
	    e.printStackTrace();
	    return txt;
	}
    }

}

