package sieve.whiteboard;

import java.beans.*;
import java.awt.*;

/**
 * This class provides info about which properties of the Box class
 * should be made editable.
 */
public class DoodleBeanInfo extends SimpleBeanInfo {

    public BeanDescriptor getBeanDescriptor() {
        BeanDescriptor bd = new BeanDescriptor(Doodle.class);
        bd.setDisplayName("Freehand");
        return bd;
    }

    public PropertyDescriptor[] getPropertyDescriptors() {
        PropertyDescriptor[] myProps = new PropertyDescriptor[2];
        try {
            myProps[0] = new PropertyDescriptor("color", Doodle.class);
            myProps[1] = new PropertyDescriptor("filled", Doodle.class);
        }
        catch(Exception e) {
            e.printStackTrace();
        }
        return myProps;
    }

}

