package sieve.whiteboard;

import java.beans.*;
import java.awt.*;

/**
 * This class provides info about which properties of the Oval class
 * should be made editable.
 */
public class OvalBeanInfo extends SimpleBeanInfo {

    public BeanDescriptor getBeanDescriptor() {
        BeanDescriptor bd = new BeanDescriptor(Oval.class);
        bd.setDisplayName("Oval");
        return bd;
    }

    public PropertyDescriptor[] getPropertyDescriptors() {
        PropertyDescriptor[] myProps = new PropertyDescriptor[2];
        try {
            myProps[0] = new PropertyDescriptor("color", Oval.class);
            myProps[1] = new PropertyDescriptor("filled", Oval.class);
        }
        catch(Exception e) {
            e.printStackTrace();
        }
        return myProps;
    }
}

