package sieve.whiteboard;
 
import java.awt.*;
 
public abstract class WhiteBoardShape extends WhiteBoardComponent {
    boolean     filled  = false;
    Color       fillColor = null;

    public WhiteBoardShape() {
	super();
        fillColor = getBackground();
        if (fillColor == null)
            fillColor = Color.white;
    }

    public boolean getFilled() {
        return filled;
    }
 
    public void setFilled(boolean filled) {
        if (filled != this.filled) {
            this.filled = filled;
            repaint();
        }
    }

    public void setFillColor(Color fillColor) {
        if (fillColor != this.fillColor) {
            this.fillColor = fillColor;
            repaint();
        }
    }
    public Color getFillColor() {
        return fillColor;
    }


}
