/*
 *
 * Written By:   Philip Isenhour
 * Date:         September 1997
 * Description:  A vector of a Sieve workbench messages.
 *
 * $Header: /home/nie/cvsroot/prototype/vt/cs/virtSchool/client/RoomView.java,v
1.4 1997/01/07 20:52:58 isenhour Exp $
 *
 * Copyright (c) 1996 Philip Isenhour
 * Copyright (c) 1996 Virginia Polytechnic University and State University
 */
 
package sieve.workbench.collab.msg;
 
import java.io.*;
import java.util.*;
import SharedData.*;
import sieve.workbench.collab.*;

public class MessageVector extends Message {
    private Vector v = null;

    public MessageVector(Vector v) {
	this.v = v;
    }

    public void deliver(WorkbenchController controller) {
	for (Enumeration e = v.elements(); e.hasMoreElements();)
	    ((Message)e.nextElement()).deliver(controller);
    }

}


