package sieve.workbench.collab.msg;

import sieve.workbench.UniqueID;
import sieve.workbench.collab.WorkbenchController;
import java.io.Serializable;

public class RemoveComponentMessage extends Message implements Serializable {
    private UniqueID id = null;

    public RemoveComponentMessage(UniqueID objID) {
	this.id = objID;
    }

    public void deliver(WorkbenchController controller) {
	controller.doRemoveComponent(id);
    }
}

