package sieve.workbench.collab.msg;

import sieve.workbench.UniqueID;
import sieve.workbench.collab.WorkbenchController;
import java.io.Serializable;

public class RemoveLinkMessage extends Message implements Serializable {
    private UniqueID linkID = null;

    public RemoveLinkMessage(UniqueID linkID) {
	this.linkID = linkID;
    }

    public void deliver(WorkbenchController controller) {
	controller.doRemoveLink(linkID);
    }
}

