package sieve.workbench.event;

import sieve.workbench.Link;
import sieve.workbench.LinkProxy;

/**
 * A LinkEvent is passed to WorkbenchListener objects when something
 * interesting happens to a link.
 */
public class LinkEvent extends java.util.EventObject {
    private Link linkObject;

    public LinkEvent(Object source, Link l) {
	super(source);
	if (l instanceof LinkProxy)
	    this.linkObject = ((LinkProxy)l).getDelegate();
	else
	    this.linkObject = l;
    }
    
    public Link getLink() {
	return linkObject;
    }

}

