package sieve.nuggets;

import com.sun.java.swing.*;
import com.sun.java.swing.table.*;
import com.sun.java.swing.event.*;
import sieve.sluice.adapters.*;
import sieve.sluice.*;
import java.awt.*;

//**********************************************************************
// this originally extended TableViewApplet. Changed to extend 
// TableViewJComponent, 1-15-98. All other methods same (lwjones)
//********************************************************************** 
public class SwingTable extends TableViewJComponent implements TableView {
    private TableModelAdapter adapter = null;
    private JTable table = null;
    private JScrollPane scrollpane = null;

    public SwingTable() {
	setLayout(new BorderLayout());
    }

    private void addTable(TableView tv) {
	removeTable();
	adapter = new TableModelAdapter(tv);
	table = new JTable(adapter);
	JScrollPane scrollpane = JTable.createScrollPaneForTable(table);
        add(scrollpane, BorderLayout.CENTER);
    }

    private void removeTable() {
	if (scrollpane != null) {
	    remove(scrollpane);
	}
    }

    public void addSourceView(TableView tv) throws TooManySourcesException {
	if (source != null)
	    throw new TooManySourcesException();
	this.source = tv;
	addTable(tv);
    }

    public void removeSourceView(TableView tv) {
	removeTable();
        this.source = null;
    }

    public boolean getShowLongNames() {
	if (adapter != null)
	    return adapter.getLongLabels();
	return false;
    }

    public void setShowLongNames(boolean show) {
	if (adapter != null)
	    adapter.setLongLabels(show);
    }

}

