package sieve.phys.blockandplane;
import java.awt.*;

class ButtonCanvas extends Canvas {
	Dimension offDimension;
	Image     offImage;
	Graphics  offGraphics;
ButtonCanvas(){
}
public void update(Graphics g) {
	Dimension d = size();
	if ( (offGraphics == null) || (d.width != offDimension.width) || (d.height != offDimension.height) ) {
		offDimension = d;
		offImage = createImage(d.width, d.height);
		offGraphics = offImage.getGraphics();
		offGraphics.setFont(g.getFont());
	}

	offGraphics.setColor(Color.lightGray);
	offGraphics.fillRect(0,0,d.width,d.height);
  		  		
	int xarr[] = new int[3];
	int yarr[] = new int[3];
	xarr[0] = 0; yarr[0] = d.height;
	xarr[1] = 0; yarr[1] = 0;
	xarr[2] = 50; yarr[2] = d.height;
	Polygon PlanePoly = new Polygon(xarr,yarr,3);
	offGraphics.setColor(Color.red);
	offGraphics.fillPolygon(PlanePoly);
	
	offGraphics.drawLine(50,d.height-1,100,d.height-1);
	offGraphics.drawLine(50,d.height-2,100,d.height-2);
	
	xarr[0] = 100; yarr[0] = d.height;
	xarr[1] = d.width; yarr[1] = 0;
	xarr[2] = d.width; yarr[2] = d.height;
	PlanePoly = new Polygon(xarr,yarr,3);
	offGraphics.fillPolygon(PlanePoly);
	
	g.drawImage(offImage, 0, 0, null);		
}
public Dimension minimumSize() {
	return new Dimension(150, 15);
}
public Dimension preferredSize() {
	return minimumSize();
}
public void paint(Graphics g) {
	update(g);
}
} 
