package sieve.phys.bnp2;

import java.awt.GridLayout;
import java.awt.Frame;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import com.sun.java.swing.*;
import java.lang.Float;

public class ConstantDialog extends JFrame implements ActionListener, java.io.Serializable {

  JButton Cancel = new JButton("Cancel");
  JButton Ok	    = new JButton("Ok");
  MovingBody MB = null;
  JLabel GravityLabel      = null;
  JTextField GravityField  = null;
  BlockAndPlane bnp = null;

public ConstantDialog(MovingBody MovBod, Frame parentFrame, BlockAndPlane bnp) {
  //  super(parentFrame, "Change Constants", false);
  super("Change Constants");
   this.bnp = bnp;
   JPanel p1 = new JPanel();
   MB = MovBod;
   p1.setLayout(new GridLayout(0,2));
   // Gravity
   //   GravityLabel = new Label("Gravity: (m/s^2) ",Label.LEFT);
   GravityLabel = new JLabel("Gravity: (m/s^2) ");
   Float f = new Float(MB.getGravity());
   GravityField = new JTextField(f.toString(),10);
   p1.add(GravityLabel);
   p1.add(GravityField);

   p1.add(Ok);
   p1.add(Cancel);

   Ok.addActionListener(this);
   Cancel.addActionListener(this);

   getContentPane().setLayout(new GridLayout(0,1));
   getContentPane().add(p1);   
      
   //Initialize this dialog to its preferred size.
   pack();
}
  public void actionPerformed(ActionEvent e) {
    Object target = e.getSource();
   if (target == Cancel){
   	 hide();
      return;
    }
   if (target == Ok) {
      MB.setGravity((Float.valueOf(GravityField.getText())).floatValue());
      hide();
      MB.reset();
      bnp.refresh();
      return;
   } 
   return; 
}
}
