package sieve.quarry.event;

import java.util.*;

public class LinkEvent extends EventObject {
    private Object linkSource 	= null;
    private Object linkDest	= null;

    public LinkEvent(Object source, Object linkSource, Object linkDest) {
	super(source);
	this.linkSource = linkSource;
	this.linkDest = linkDest;
    }

    public Object getLinkSource() {
	return linkSource;
    }

    public Object getLinkDestination() {
	return linkDest;
    }

}

