package sieve.quarry.event;


import java.util.*;


public class ListenerSupport {
    Object source = null;
    Vector listeners = null;

    public ListenerSupport(Object source) {
	this.source = source;
	listeners = new Vector();
    }

    public synchronized void addListener(EventListener listener) {
	listeners.addElement(listener);
    }

    public synchronized void removeListener(EventListener listener) {
	listeners.removeElement(listener);
    }

    protected synchronized Vector getTargets() {
	return (Vector)listeners.clone();
    }

}

