package sieve.quarry.event;


import java.util.*;

public class QuarryLinkListenerSupport extends ListenerSupport {

    public QuarryLinkListenerSupport(Object source) {
	super(source);
    }

    public void linkAdded(Object linkSrc, Object linkDest) {
	Vector targets = getTargets();

	LinkEvent le = new LinkEvent(source, linkSrc, linkDest);
	for (int i = 0; i < targets.size(); i++) {
	    ((QuarryLinkListener)targets.elementAt(i)).linkAdded(le);
	}
    }

    public void linkRemoved(Object linkSrc, Object linkDest) {
	Vector targets = getTargets();

	LinkEvent le = new LinkEvent(source, linkSrc, linkDest);
	for (int i = 0; i < targets.size(); i++) {
	    ((QuarryLinkListener)targets.elementAt(i)).linkRemoved(le);
	}
    }

}


