package sieve.quarry.event;


import java.awt.*;
import java.util.*;

public class QuarryNuggetListenerSupport extends ListenerSupport {

    public QuarryNuggetListenerSupport(Object source) {
	super(source);
    }

    public void nuggetAdded(Object nugget, Rectangle bounds) {
	Vector targets = getTargets();

	NuggetEvent ne = new NuggetEvent(source, nugget, bounds);
	for (int i = 0; i < targets.size(); i++) {
	    ((QuarryNuggetListener)targets.elementAt(i)).nuggetAdded(ne);
	}
    }

    public void nuggetMoved(Object nugget, Rectangle bounds) {
	Vector targets = getTargets();

	NuggetEvent ne = new NuggetEvent(source, nugget, bounds);
	for (int i = 0; i < targets.size(); i++) {
	    ((QuarryNuggetListener)targets.elementAt(i)).nuggetMoved(ne);
	}
    }

    public void nuggetRemoved(Object nugget, Rectangle bounds) {
	Vector targets = getTargets();

	NuggetEvent ne = new NuggetEvent(source, nugget, bounds);
	for (int i = 0; i < targets.size(); i++) {
	    ((QuarryNuggetListener)targets.elementAt(i)).nuggetRemoved(ne);
	}
    }

}


