package	sieve.sluice;

import java.lang.Exception;

/**
 * Exception thrown when a request is made for a record that does not
 * exist in the table.
 */
public class NoSuchRecordException extends InterchangeException 
{
    public NoSuchRecordException(String record) { 
	super(record); 
    }

    public NoSuchRecordException(int record) { 
	this(Integer.toString(record)); 
    }
}

