package	sieve.sluice;

import java.lang.Exception;

/**
 * Exception thrown when an attempt is made to add a source view to
 * a table view which only supports a single source. 
 */
public class TooManySourcesException extends InterchangeException 
{
    public TooManySourcesException() { 
	super(); 
    }

    public TooManySourcesException(String comment) { 
	super(comment); 
    }
}

