package sieve.sluice.local;
 
import sieve.sluice.*;
import java.util.*;


public class Test extends TableImpl {

    public Test() throws InterchangeException {
	super();
	FieldDescriptor fd = new FieldDescriptor("Grades");
        fd.setType("java.lang.String");
	addField(fd);

	fd = new FieldDescriptor("Frequency");
        fd.setType("java.lang.Integer");
        fd.setLevel(FieldDescriptor.LEVEL_INTERVAL);
	addField(fd);

	Object[][] values = {
	    {"A", "B", "C", "D", "F"},
	    {new Integer(3), new Integer(5), new Integer(8), new Integer(3),
	    new Integer(1)}};

	append(values);
    }

}




