package sieve.whiteboard.text;


/**
 * SharedDocumentListener objects are notified when changes to a SharedDocument
 * are made. The changes are described by a command string, which may
 * be passed to a SharedTextWrapper to reproduce the change.
 */
public interface SharedDocumentListener {
    public void processCommand(String command);
}

