package sieve.workbench;

/**
 * Currently <CODE>LinkException</CODE>s are thrown when a an attempt is
 * made to initialize or set the destination of a <CODE>Link</CODE> object
 * with incompatible source and destination components.
 */
public class LinkException extends Exception {

    /**
     * Constructs a <CODE>LinkException</CODE> with the specified detail 
     * message.
     */
    public LinkException(String message) {
	super(message);
    }

}

